import request from '@/utils/request'

// 查询viplist列表
export function listMembership(query) {
  return request({
    url: '/system/membership/list',
    method: 'get',
    params: query
  })
}

// 查询viplist详细
export function getMembership(id) {
  return request({
    url: '/system/membership/' + id,
    method: 'get'
  })
}

// 新增viplist
export function addMembership(data) {
  return request({
    url: '/system/membership',
    method: 'post',
    data: data
  })
}

// 修改viplist
export function updateMembership(data) {
  return request({
    url: '/system/membership',
    method: 'put',
    data: data
  })
}

// 删除viplist
export function delMembership(id) {
  return request({
    url: '/system/membership/' + id,
    method: 'delete'
  })
}
